<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Sentiment Analysis</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            margin: 20px;
            padding: 0;
            background: #f4f4f4;
            color: #333;
        }
        input[type="text"] {
            width: 300px;
            height: 25px;
            margin-top: 20px;
        }
        button {
            height: 31px;
            margin-left: 10px;
        }
        #result {
            background-color: #fff;
            padding: 20px;
            margin-top: 20px;
            border-radius: 8px;
            box-shadow: 0 2px 4px rgba(0,0,0,0.1);
        }
        #result h3 span {
            font-weight: bold;
        }
    </style>
</head>
<body>
    <h1>Sentiment Analysis Tool</h1>
    <input type="text" id="textInput" placeholder="Enter text here..." onkeypress="if(event.keyCode === 13) analyzeSentiment()">
    <button onclick="analyzeSentiment()">Analyze</button>
    <div id="result"></div>

    <script>
        async function analyzeSentiment() {
            const text = document.getElementById('textInput').value;
            const response = await fetch('/sentiment/analyze', {
                method: 'POST',
                headers: {
                    'Content-Type': 'application/json',
                },
                body: JSON.stringify({ text: text })
            });
            const resultElement = document.getElementById('result');
            if (response.ok) {
                const result = await response.json(); // Parse JSON response
                displayResult(result);
            } else {
                const errorResponse = await response.json(); // Attempt to parse error response
                const errorMessage = errorResponse.error || 'Unknown error occurred'; // Default error message
                resultElement.innerHTML = `<p style="color: red;">Error analyzing sentiment: ${errorMessage}</p>`;
            }
        }

        function displayResult(data) {
            // Correctly accessing the nested data in your JSON structure
            const sentiment = data.result.polarity;
            const positivePercentage = data.result.positive_percentage.toFixed(2); // Format to 2 decimal places
            const negativePercentage = data.result.negative_percentage.toFixed(2); // Format to 2 decimal places
            const analysisText = data.result.analysis_text.trim(); // Trim any extra spaces

            const resultElement = document.getElementById('result');
            resultElement.innerHTML = `
                <h3>Overall Sentiment: <span style="color: ${sentiment === 'Positive' ? 'green' : 'red'}">${sentiment}</span></h3>
                <p>Positive Sentiment Total Percentage: ${positivePercentage}%</p>
                <p>Negative Sentiment Total Percentage: ${negativePercentage}%</p>
                <p>${analysisText}</p>
            `;
        }

    </script>
</body>
</html>


